#### D.4.5.4 curveColengthDerivations

Procedure from library `curveInv.lib` (see curveInv_lib).

Usage:
  curveColengthDerivations(I); I ideal

Assume:
  I is a radical ideal

Return:
  the colength of derivations of R/I

Remarks:
  The procedure goes through all branches and computes the colength of derivations there. Then the d-dimension of the minimal primes is computed. After that, everything is summed up.

Note:
  the optional parameter can be used if the normalization has already been computed. If a list L contains the output of the procedure normal (with options prim, wd and usering if the ring has a mixed ordering), apply curveColengthDerivations(I,L)

Example:

    LIB "curveInv.lib";
    ///////////////////////////////////////
    // colength of derivations of curves //
    ///////////////////////////////////////
    // Example 1:
    ring R = 0,(x,y,z),ds;
    ideal I = x2-y4z,z3y2+xy2;
    I = std(radical(I));
    curveColengthDerivations(I);
    ==> 9
    // Example 2:
    ring S = 0,(x,y),ds;
    ideal I = (x+y)*(x2-y3);
    curveColengthDerivations(I);
    ==> 4
    // Example 3:
    ideal J = (x2-y3)*(x2+y2)*(x-y);
    curveColengthDerivations(J);
    ==> 15

User manual for Singular version 4.4.1, 2025, generated by texi2html.